<md-toolbar color="primary">
  <span>My App</span>
  <span class="example-spacer"></span>
  <button md-button [mdMenuTriggerFor]="appMenu"><md-icon>menu</md-icon></button>
</md-toolbar>

<md-menu #appMenu="mdMenu">
    <button md-menu-item [routerLink]="['/home',{ outlets: { 'homeOutlet': [''] } }]"> Profile </button>
    <button md-menu-item [routerLink]="['/home',{ outlets: { 'homeOutlet': ['friends'] } }]"> Friends </button>
    <button md-menu-item routerLink="/login"> Logout </button>
</md-menu>
